# Fedora-specific information

## System-wide use
Acme.sh by default expects to be run without root privileges from the user's home directory.

This package provides a systemd timer `acme-sh.timer` for automatically renewing systemwide certificates
from the root account. By default, it uses /var/lib/acme.sh for
configuration and /var/lib/acme.sh/certs for certificates. These values can
be changed by editing /etc/sysconfig/acme.sh.

To interact with the systemwide acme.sh, either source & export the variables from that
file, or start acme.sh using `acme.sh-system` from a root shell (NOT with 
`sudo acme.sh`), which performs the source & export steps automatically.

## Auto-renewal of user-generated certificates
For convenience, this package also ships a systemd user timer to automate certificate
renewal for non-root users. This can be activated using `systemctl --user [enable|start} acme-sh.timer`.
If you're using non-default paths for your acme.sh config, you can set these by setting the
appropriate environment variables in `~/.config/environment.d/acme.sh.conf`. You can use
/etc/sysconfig/acme.sh as a template for this file.

## Bugs & issues
Please report any issues regarding the use of these systemd units to Fedora's bugtracker
https://bugzilla.redhat.com, not to the acme.sh developer's issue tracker, as these
units are only part of the Fedora package.
